import Supermarket from "./Supermarket.js";

export default class Location {

    static fromRaw(raw) {
        const location = new Location();
        location.name = raw.name;
        location.train = raw.train;
        location.bus = raw.bus;

        location.gym = raw.gym;
        location.pool = raw.pool;

        location.smoke = raw.smoke;
        location.pharmacy = raw.pharmacy;
        location.supermarkets = [];
        for (const rawSupermarket of raw.supermarkets) {
            const supermarket = new Supermarket();
            supermarket.name = rawSupermarket.type;
            supermarket.url = rawSupermarket.url;
            location.supermarkets.push(supermarket);
        }

        return location;
    }

    name;
    
    train;
    bus;
    
    pool;
    gym;

    supermarkets;
    smoke;

}